be.fgov.ehealth.mediprima.core.v2

## Class ConsultCarmedInterventionResultType

- java.lang.Object
- - be.fgov.ehealth.mediprima.core.v2.ConsultCarmedInterventionResultType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:58:09+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultCarmedInterventionResultType
      extends Object
      implements Serializable

  Java class for ConsultCarmedInterventionResultType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultCarmedInterventionResultType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CarmedIdentifier" type="{urn:be:fgov:ehealth:mediprima:core:v2}CarmedIdentifierType"/>
               <element name="CarmedContent" type="{urn:be:fgov:ehealth:mediprima:core:v2}CarmedContentCareType" minOccurs="0"/>
               <element name="AgreementNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="UrgentMedicalAidAttestationNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultCarmedInterventionResultType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAgreementNumber()` Gets the value of the agreementNumber property.
    `CarmedContentCareType` | `getCarmedContent()` Gets the value of the carmedContent property.
    `CarmedIdentifierType` | `getCarmedIdentifier()` Gets the value of the carmedIdentifier property.
    `String` | `getUrgentMedicalAidAttestationNumber()` Gets the value of the urgentMedicalAidAttestationNumber property.
    `void` | `setAgreementNumber(String value)` Sets the value of the agreementNumber property.
    `void` | `setCarmedContent(CarmedContentCareType value)` Sets the value of the carmedContent property.
    `void` | `setCarmedIdentifier(CarmedIdentifierType value)` Sets the value of the carmedIdentifier property.
    `void` | `setUrgentMedicalAidAttestationNumber(String value)` Sets the value of the urgentMedicalAidAttestationNumber property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultCarmedInterventionResultType

          public ConsultCarmedInterventionResultType()

  - ### Method Detail

    - #### getCarmedIdentifier

          public CarmedIdentifierType getCarmedIdentifier()

      Gets the value of the carmedIdentifier property.
      Returns:
        possible object is `CarmedIdentifierType`

    - #### setCarmedIdentifier

          public void setCarmedIdentifier(CarmedIdentifierType value)

      Sets the value of the carmedIdentifier property.
      Parameters:
        `value` - allowed object is `CarmedIdentifierType`

    - #### getCarmedContent

          public CarmedContentCareType getCarmedContent()

      Gets the value of the carmedContent property.
      Returns:
        possible object is `CarmedContentCareType`

    - #### setCarmedContent

          public void setCarmedContent(CarmedContentCareType value)

      Sets the value of the carmedContent property.
      Parameters:
        `value` - allowed object is `CarmedContentCareType`

    - #### getAgreementNumber

          public String getAgreementNumber()

      Gets the value of the agreementNumber property.
      Returns:
        possible object is `String`

    - #### setAgreementNumber

          public void setAgreementNumber(String value)

      Sets the value of the agreementNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUrgentMedicalAidAttestationNumber

          public String getUrgentMedicalAidAttestationNumber()

      Gets the value of the urgentMedicalAidAttestationNumber property.
      Returns:
        possible object is `String`

    - #### setUrgentMedicalAidAttestationNumber

          public void setUrgentMedicalAidAttestationNumber(String value)

      Sets the value of the urgentMedicalAidAttestationNumber property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.